# Data Science Project Template

This is a data science project template for testing Anthropic's markdown generation capabilities.

## Project Structure

- `notebooks/` - Jupyter notebooks for exploration and analysis
- `src/` - Python modules for data processing and modeling
- `data/` - Dataset storage (raw, processed, interim)
- `models/` - Trained model files
- `reports/` - Generated reports and visualizations
- `tests/` - Unit tests and integration tests

## Features

- Data cleaning and preprocessing
- Exploratory data analysis
- Feature engineering
- Machine learning model training and evaluation
- Visualization and reporting
- Model deployment utilities

## Getting Started

```bash
# Create virtual environment
python -m venv venv
source venv/bin/activate  # On Windows: venv\Scripts\activate

# Install dependencies
pip install -r requirements.txt

# Run exploration notebook
jupyter notebook notebooks/01_exploration.ipynb
```
