# Mobile App Test Template

This is a React Native mobile app template for testing Anthropic's markdown generation capabilities.

## Features

- Cross-platform (iOS & Android)
- Navigation system
- State management
- API integration
- Native device features usage
- UI components library

## Structure

- `App.js` - Main application entry point
- `src/`
  - `components/` - Reusable UI components
  - `screens/` - App screens
  - `navigation/` - Navigation configuration
  - `services/` - API services and business logic
  - `utils/` - Helper utilities
  - `assets/` - Images and other static assets
  - `hooks/` - Custom React hooks
  - `context/` - React context providers

## Getting Started

```bash
# Install dependencies
npm install

# Start Metro bundler
npm start

# Run on Android
npm run android

# Run on iOS
npm run ios
```
